<template>
  <form
    class="tab-pane"
    role="tabpanel"
    @submit.prevent="$emit('submit', controls)"
  >
    <div class="auth-modal-content">
      <div class="mb-3">
        <input
          v-model="controls.email"
          type="email"
          name="email"
          placeholder="Ваша почта"
          autocomplete="email"
          required
        />
      </div>
      <button
        class="btn btn-primary w-100 d-block"
        type="submit"
        :disabled="loading || $v.controls.$invalid"
      >
        Восстановить пароль
      </button>
    </div>
  </form>
</template>

<script>
import required from 'vuelidate/lib/validators/required'
import email from 'vuelidate/lib/validators/email'
import { mapState } from 'vuex'

const initialControls = () => {
  return {
    email: '',
  }
}
export default {
  name: 'FormRecover',
  data() {
    return {
      controls: initialControls(),
    }
  },
  validations: {
    controls: {
      email: {
        required,
        email,
      },
    },
  },
  computed: {
    ...mapState({
      loading: (state) => state.loading,
    }),
  },
  methods: {
    reset() {
      this.controls = initialControls()
    },
  },
}
</script>
